<mamecheat version="1">

  <cheat desc="One hit for boss 1   Now!">
    <script state="on">
      <action>maincpu.pb@18534D=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 2-1 Now!">
    <script state="on">
      <action>maincpu.pb@18654D=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 2-2 Now!">
    <script state="on">
      <action>maincpu.pb@18654D=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 3-1 Now!">
    <script state="on">
      <action>maincpu.pb@1877F4=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 3-2 Now!">
    <script state="on">
      <action>maincpu.pb@186CCD=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 4-1 Now!">
    <script state="on">
      <action>maincpu.pb@18654D=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 4-2 Now!">
    <script state="on">
      <action>maincpu.pb@186BCD=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 5-1 Now!">
    <script state="on">
      <action>maincpu.pb@18654D=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 5-2 Now!">
    <script state="on">
      <action>maincpu.pb@1868CD=01</action>
    </script>
  </cheat>

  <cheat desc="One hit for boss 5-3 Now!">
    <script state="on">
      <action>maincpu.pb@18654D=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@184D99=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@184E4D=12</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x01">Axe (Default)</item>
      <item value="0x02">Boomerang</item>
      <item value="0x03">Fire</item>
      <item value="0x04">Tooth</item>
      <item value="0x05">Wheel</item>
      <item value="0x06">Man</item>
      <item value="0x07">Electricity</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@184E19=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@184DD9=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@184ECD=12</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x41">Bone (Default)</item>
      <item value="0x42">Boomerang</item>
      <item value="0x43">Fire</item>
      <item value="0x44">Tooth</item>
      <item value="0x45">Wheel</item>
      <item value="0x46">Man</item>
      <item value="0x47">Electricity</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@184E99=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
